Subject: Re: new zsh build hang on sparkylinux (essentially debian test)
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Wed, 1 Jun 2016 18:05:14 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Belated reply here, I've been traveling ... question directed at -workers,
not at Vin:

On May 13, 11:20pm, Vin Shelton wrote:
}
} Just for the record, this actually ended up being something to do with the
} compiler optimization settings.  Building with CFLAGS=-O yielded a working
} zsh.

Does our "configure" assure that the test cases are run with the same
compiler optimization flags as the final build?

Obviously compiler optimization isn't intended to change semantics, but
there may be some behavior that differs among standards and we're relying
on some variant that occurs when the build is not optimized.